<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="author" content="Space Geodesy Group, ETH Zurich, Developer: Luisa Wunderlin">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Satellite Database</title>

    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/fonts.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}">
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'images/satellite_favicon.png' %}">
    <script src="{% static 'js/homepage.js' %}"></script>
</head>


<body>

<!-- HEADER -->
{% include "header.html" %}


<!-- BODY -->
<div class="body-wrapper">

    <h1>About the Satellite Database</h1>

    <h2>Purpose & Functionality</h2>

    <p>
        The Satellite Database archives orbital data of satellites and other space objects in the form of
        <a href="https://celestrak.org/NORAD/documentation/tle-fmt.php#">Two-Line Elements</a>.
        The data can be searched and retrieved via <a href="/">search form</a> or <a href="/api-documentation">API</a>.
    </p>


    <h2>Data Sources</h2>
    <p>
        The orbital data is read out of TLE-files collected from <a href="https://celestrak.org/">CelesTrak</a> on an hourly basis.
        The database started continuously collecting and archiving data on <b>March 10th, 2023</b>.
    </p>
    <p>
        The frequency data comes from various sources and is registered manually.
    </p>


    <h2>Database Schema</h2>


    <img src="{% static 'images/satdb_diagram.jpg' %}"
         style="width:100%"
         alt="Database diagram of the Satellite Database with four tables: SatelliteData, Satellite, FrequencySource and Frequency.
         SatelliteData stands in a many-to-one relationship to Satellite,
         as does Satellite to FrequencySource and Frequency to FrequencySource.
         SatelliteData fields in name type pairs: id integer, timestamp datetime, satellite_id integer, epoch string,
         mean_motion_dot string, mean_motion__ddot string, bstar string, element_set_no integer, inclination decimal,
         ra_of_asc_node decimal, eccentricity decimal, arg_of_pericenter decimal, mean_anomaly decimal,
         mean_motion decimal, rev_at_epoch int, norad_str string.
         Satellite fields in name type pairs: id integer primary key, object_name string, norad_cat_id int,
         frequency_source_id int, int_desg string, ephemeris_type int, tle_filename string.
         FrequencySource fields in name type pairs: id integer, name string, regex_sat_name string.
         Frequency fields in name type pairs: id int, frequency_source_id integer, start_frequency decimal,
         end_frequency decimal, start_date datetime, end_date datetime." >

    <p>
        The primary key for all tables is <code>id</code>, which is auto-incremented as entries are being added to the database.
        Additionally, each table requires certain fields to either be unique by themselves or in combination with other fields.
    </p>
    <p>
        Each Satellite Data entry corresponds to a Two-Line-Element Set, and it must have a unique combination of
        <code>satellite_id</code> and <code>timestamp</code>.
        This is to ensure the same TLE isn’t read in twice and that there isn’t any conflicting data.
    </p>
    <p>
        Satellites represent the satellites themselves, each uniquely identified with a NORAD ID (<code>norad_cat_id</code>).
    </p>

    <p>
        Frequencies are assigned to certain satellites using a combination of Frequency Source and Frequency.
        Each Frequency Source has a unique <code>name</code> and a regex expression, by which it is assigned to Satellites
        whose name are matched by the expression.
        A Frequency Source can have numerous Frequencies assigned to it, which store a frequency range and time range
        during which the frequency was in use.
    </p>

    <h2>Development & Source Code</h2>

    <p>The Satellite Database is an Open Research project by the <a href="https://space.igp.ethz.ch/">Space Geodesy group</a> at ETH Zurich.
    You can find the source code <a href="https://gitlab.ethz.ch/spacegeodesy_public/srfi_ord/satellite_database">here</a>.
    </p>



</div>


<!-- FOOTER -->
{% include 'footer.html' %}


</body>
</html>
